[prev in list] [next in list] [prev in thread] [next in thread] 

List:       gentoo-proxy-maint
Subject:    [gentoo-proxy-maint] [PATCH 1/3] net-news/rssguard: add 4.0.1
From:       Anna Vyalkova <cyber+gentoo () sysrq ! in>
Date:       2021-09-07 18:08:07
Message-ID: 20210907180809.29617-1-cyber+gentoo () sysrq ! in
[Download RAW message or body]

Description is updated to match appdata.xml

Signed-off-by: Anna Vyalkova <cyber+gentoo@sysrq.in>
---
 net-news/rssguard/Manifest              |  1 +
 net-news/rssguard/metadata.xml          | 24 +++++---
 net-news/rssguard/rssguard-4.0.1.ebuild | 75 +++++++++++++++++++++++++
 3 files changed, 93 insertions(+), 7 deletions(-)
 create mode 100644 net-news/rssguard/rssguard-4.0.1.ebuild

diff --git a/net-news/rssguard/Manifest b/net-news/rssguard/Manifest
index 5fc84d10ce1..d683aad7ce4 100644
--- a/net-news/rssguard/Manifest
+++ b/net-news/rssguard/Manifest
@@ -1,2 +1,3 @@
 DIST rssguard-3.8.3.tar.gz 9865909 BLAKE2B \
7afc9dd0cec9ff58164c341f8cb3c6f31608da958a9c64f8099d9ba645cf7bbdaaa76accb3877943eefeb71b9172a13fa43c0ced7d58c6f368cc164e40a5ab39 \
SHA512 d7c1d18981177880d93bfaf4a87769638804058609f68b8c42db376c4a0e56230b57a29f70054deb30e02634cfa64355ecfe658b5f961a516b990af91c6f3ba8
  DIST rssguard-3.9.2.tar.gz 13607587 BLAKE2B \
45b3dd406e64bb13a19580255971b0d5eb1fd90d70d8559c736366af7792e7fc0627ee254dce79936ce6a179399271958b7795279a359306e345ec086081fc37 \
SHA512 30d2524f4ca42d903a047fe39de925268a1aac65192a8b1089b6ec0ec0a9dfef09c535fe391f750149063c06e3275b2632cc2ea2c24ded178760070abcea4958
 +DIST rssguard-4.0.1.tar.gz 14417555 BLAKE2B \
14689444eefefe0827d22a6886cd422fcbbbace83125fd28599fd17e2762d63f5e5d8b1b472de46282e7471d84195fb56594f9669bcd1432f595f354268241ad \
SHA512 1c791a85cf3b43737c5232dd4c63855bf8d6ad324c799d1abbfc0aa9392b0af3bfef6221d31b6ded5b512bec9c8ad82b2fbcd10330c7768420432363517709eb
                
diff --git a/net-news/rssguard/metadata.xml b/net-news/rssguard/metadata.xml
index 0728c0b6e44..b6c063572f3 100644
--- a/net-news/rssguard/metadata.xml
+++ b/net-news/rssguard/metadata.xml
@@ -1,11 +1,21 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<!-- maintainer-needed -->
-	<upstream>
-		<remote-id type="github">martinrotter/rssguard</remote-id>
-	</upstream>
-	<use>
-		<flag name="webengine">Use <pkg>dev-qt/qtwebengine</pkg> for embedded web \
                browser</flag>
-	</use>
+<!-- maintainer-needed -->
+<upstream>
+	<maintainer>
+		<name>Martin Rotter</name>
+		<email>rotter.martinos@gmail.com</email>
+	</maintainer>
+	<remote-id type="github">martinrotter/rssguard</remote-id>
+	<bugs-to>https://github.com/martinrotter/rssguard/issues</bugs-to>
+</upstream>
+<use>
+	<flag name="webengine">Use <pkg>dev-qt/qtwebengine</pkg> for embedded web \
browser</flag> +</use>
+<longdescription>
+	RSS Guard is simple (yet powerful) feed reader. It is able to fetch the
+	most known feed formats, including RSS/RDF and ATOM. RSS Guard is
+	developed on top of the Qt library.
+</longdescription>
 </pkgmetadata>
diff --git a/net-news/rssguard/rssguard-4.0.1.ebuild \
b/net-news/rssguard/rssguard-4.0.1.ebuild new file mode 100644
index 00000000000..d78e8192001
--- /dev/null
+++ b/net-news/rssguard/rssguard-4.0.1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic optfeature qmake-utils xdg
+
+DESCRIPTION="Simple (yet powerful) feed reader"
+HOMEPAGE="https://github.com/martinrotter/rssguard"
+SRC_URI="https://github.com/martinrotter/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( LGPL-3 GPL-2+ ) AGPL-3+ BSD GPL-3+ MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="debug webengine"
+
+BDEPEND="dev-qt/linguist-tools:5"
+DEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtdbus:5
+	dev-qt/qtdeclarative:5
+	dev-qt/qtgui:5
+	dev-qt/qtmultimedia:5
+	dev-qt/qtnetwork:5[ssl]
+	dev-qt/qtsql:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtxml:5
+	webengine? ( dev-qt/qtwebengine:5[widgets(+)] )
+"
+RDEPEND="${DEPEND}"
+
+DOCS=( README.md resources/docs/Documentation.md )
+
+pkg_pretend() {
+	if [[ -n ${REPLACING_VERSIONS} ]] && ver_test ${REPLACING_VERSIONS} -lt 4.0; then
+		ewarn "RSS Guard 4.x is NOT backwards compatible with 3.x line."
+		ewarn "You have to either export your feeds in OPML format or"
+		ewarn "manually update your database.db file to 4.x.x format:"
+		ewarn "https://github.com/martinrotter/rssguard/blob/master/resources/docs/Documentation.md#migrating-user-data-from-392-to-4xx"
 +	fi
+}
+
+src_prepare() {
+	default
+	sed -e 's:$$PREFIX/lib:$$PREFIX/'$(get_libdir)':' -i pri/install.pri || die
+}
+
+src_configure() {
+	eqmake5_args=(
+		CONFIG+=$(usex debug debug release)
+		USE_WEBENGINE=$(usex webengine true false)
+		PREFIX="${EPREFIX}"/usr
+		INSTALL_ROOT=.
+	)
+
+	# https://github.com/martinrotter/rssguard/issues/156
+	is-flagq "-flto*" && eqmake5_args+=( CONFIG+=ltcg )
+
+	eqmake5 "${eqmake5_args[@]}"
+}
+
+src_install() {
+	emake -j1 install INSTALL_ROOT="${D}"
+	einstalldocs
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	if use webengine; then
+		optfeature "ad blocking functionality" net-libs/nodejs[npm]
+		elog "Adblocker module requires additional npm modules to be installed:"
+		elog "npm i -g @cliqz/adblocker concat-stream tldts-experimental node-fetch"
+	fi
+}
-- 
2.33.0


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic